Bug 92115 - Sound skips on the slightest provocation
Sound skips on the slightest provocation
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-02 16:35 EDT by Michal Jaegermann
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-09 10:30:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2003-06-02 16:35:07 EDT
Description of problem:

With a standard RH9 installation on nforce2 board (not mine, I am afraid),
which is using i810_audio sound driver, one can clearly hear nasty sound
"stutter" artifacts on occasions like opening a new window on a desktop
or even switching between two, mostly empty, tabs in a gnome-terminal
window.  This is with 2.4.20-13.9 kernel.
Comment 1 Michal Jaegermann 2003-06-03 17:58:57 EDT
I did more testing on a diffrent harwdare.  With Cambridge I can easily
totally stop a sound from 'kmidi' by moving around some other window
and I can prevent kmidi from playing as long as I want to.

On the same hardware in RH 7.3 installation I can cause some distortions
in 'kmidi' by moving vigorously some window around but stopping sound
is really not possible.
Comment 2 Alan Cox 2003-06-08 08:14:54 EDT
It seems the only way to fix this is to use the full nvidia audio facilities,
which Nvidia at the moment haven't released documentation too
Comment 3 Michal Jaegermann 2003-06-08 11:37:27 EDT
In a comment I added later I describe a severe sound problem on a hardware
which has _nothing_ to do with Nvidia, and where an older distribution
while not perfect is certainly workable as opposed to the current state.
This "other hardware" has via82cxxx sound card and VIA KX133 mother board.
C.f. remarks about stopping sound, totally, by moving a window around.
Comment 4 Alan Cox 2003-06-08 12:07:49 EDT
The VIA one I'm pretty sure is scheduler related and that one is already
elsewhere in bugzilla so I'll close this one again if that is ok. I had missed
the fact the other comment wasnt about the nv audio
Comment 5 Michal Jaegermann 2003-06-08 13:28:34 EDT
If this is a duplicate then, sure, consolidation is fine.  But I do think
that this is a scheduler, even if I did not write down such guesses, :-) and
nvidia hardware was coincidental in the initial report.  I just happened
to run into the problem a big way for the first time there.

Note You need to log in before you can comment on or make changes to this bug.